Loading...
Searching...
No Matches
casacore::MSFeedEnums Class Reference
ms package (libcasa_ms) » MeasurementSets_module

Enums for the MeasurementSet FEED table. More...

`#include <MSFeedEnums.h>`

## Public Types

enum | PredefinedColumns { UNDEFINED_COLUMN , ANTENNA_ID , BEAM_ID , BEAM_OFFSET , FEED_ID , INTERVAL , NUM_RECEPTORS , POL_RESPONSE , POLARIZATION_TYPE , POSITION , RECEPTOR_ANGLE , SPECTRAL_WINDOW_ID , TIME , NUMBER_REQUIRED_COLUMNS , FOCUS_LENGTH , PHASED_FEED_ID , NUMBER_PREDEFINED_COLUMNS }
| The FEED table colums with predefined meaning. More...
enum | PredefinedKeywords { UNDEFINED_KEYWORD , NUMBER_PREDEFINED_KEYWORDS }
| Keywords with a predefined meaning. More...

## Detailed Description

Enums for the MeasurementSet FEED table.

### Intended use:

Public interface

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

### Etymology

This class contains the enums for the MeasurementSet FEED table

### Synopsis

This class does nothing. It is merely a container for the enumerations used by the MSFeed class. These enumerations define the standard columns, keywords.

### Example

See the documentation for MeasurementSet for examples on the use of these enumerations.

Definition at line 57 of file MSFeedEnums.h.

## Member Enumeration Documentation

## PredefinedColumns

enum casacore::MSFeedEnums::PredefinedColumns

The FEED table colums with predefined meaning.

Enumerator
UNDEFINED_COLUMN | "True" columns are defined. TYPE - UNIT - MEASURE
ANTENNA_ID | Antenna Id. Int.
BEAM_ID | Index in BEAM model table. This is a specialized model e.g. NRAO_VLA_BEAM would have parameters for polynomial. Int.
BEAM_OFFSET | Beam position offset (on sky but in antenna reference frame). Double(2,NUM_RECEPTORS) - rad - DIRECTION
FEED_ID | Feed id Int.
INTERVAL | Interval for which this set of parameters is accurate Double - s.
NUM_RECEPTORS | Number of receptors on this feed (probably 1 or 2) Int.
POL_RESPONSE | D-matrix i.e. leakage between two receptors i.e. only makes sense if NUM_RECEPTORS>1. Dimensionless coupling numbers. Complex(NUM_RECEPTORS,NUM_RECEPTORS)
POLARIZATION_TYPE | Type of polarization to which a given RECEPTOR responds. Probably R, L or X, Y. String(NUM_RECEPTORS)
POSITION | Position of feed relative to feed reference position for this antenna Double(3) - m - POSITION.
RECEPTOR_ANGLE | The reference angle for polarization. Converts into Parallactic angle in the Sky domain. Double(2) - rad
SPECTRAL_WINDOW_ID | Spectral Window id Int.
TIME | Midpoint of time for which this set of parameters is accurate Double - s - EPOCH.
NUMBER_REQUIRED_COLUMNS | Number of required columns.
FOCUS_LENGTH | Focus length Double - m.
PHASED_FEED_ID | Phased feed id to index into PHASED_FEED table Int.
NUMBER_PREDEFINED_COLUMNS | Not a column, but just a final enum specifying the number of enums.

Definition at line 60 of file MSFeedEnums.h.

## PredefinedKeywords

enum casacore::MSFeedEnums::PredefinedKeywords

Keywords with a predefined meaning.

Enumerator
UNDEFINED_KEYWORD | "True" keywords are defined.
NUMBER_PREDEFINED_KEYWORDS | Not a keyword, but just a final enum specifying the number of enums.

Definition at line 118 of file MSFeedEnums.h.

The documentation for this class was generated from the following file:

- ms/MeasurementSets/MSFeedEnums.h